//	Microworks ObjectMate  2.6
//
//  "SFX Class Library"
//
//	An ObjectWindows 2.0 extension for Borland C++ 4.0
//
//	Copyright 1992-94 Microworks Sydney, Australia.
//
//  SMCLIENT.CPP

#include <owl\owlpch.h>
#include <sfx\sfx200.h>
#include <sfx\smdi.h>

DEFINE_RESPONSE_TABLE1(TSFXMDIClient, TMDIClient)
END_RESPONSE_TABLE;

// constructor for a TSFXMDIClient

TSFXMDIClient::TSFXMDIClient(BOOL sfxClient, TModule* module)
	:TMDIClient(module)
{
	TWindow::Init(0, 0, module);
	if (sfxClient)
		IsSFXClient = TRUE;
	else
		IsSFXClient = FALSE;
	Attr.Style &= ~(WS_BORDER);
}

char far*
TSFXMDIClient::GetClassName()
{
	if (IsSFXClient)
		return "SFXMDICLIENT";
	else
		return "SFX3DMDICLIENT";
}

IMPLEMENT_STREAMABLE2(TSFXMDIClient, TMDIClient, TWindow);

void*
TSFXMDIClient::Streamer::Read(ipstream& is, uint32 /*version*/) const
{
	ReadVirtualBase((TMDIClient*)GetObject(), is);
	return GetObject();
}

void
TSFXMDIClient::Streamer::Write(opstream& os) const
{
	WriteVirtualBase((TMDIClient*)GetObject(), os);
}

